public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Jeroen Roovers" <jer@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-text/yodl/
Date: Wed,  3 Jun 2020 09:10:31 +0000 (UTC)	[thread overview]
Message-ID: <1591175428.41a1bf2ca3c32fdc4f164b35327ff72aca9992a5.jer@gentoo> (raw)

commit:     41a1bf2ca3c32fdc4f164b35327ff72aca9992a5
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Wed Jun  3 08:15:01 2020 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Wed Jun  3 09:10:28 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=41a1bf2c

app-text/yodl: DEPEND => BDEPEND

- Do not strip yodlverbinsert
- Add build dependencies for USE=doc
- Reorganise src_compile()

Package-Manager: Portage-2.3.100, Repoman-2.3.22
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>

 .../{yodl-4.02.02.ebuild => yodl-4.02.02-r1.ebuild} | 21 +++++++++++++++------
 1 file changed, 15 insertions(+), 6 deletions(-)

diff --git a/app-text/yodl/yodl-4.02.02.ebuild b/app-text/yodl/yodl-4.02.02-r1.ebuild
similarity index 80%
rename from app-text/yodl/yodl-4.02.02.ebuild
rename to app-text/yodl/yodl-4.02.02-r1.ebuild
index 25f75b90993..b54d4d14d58 100644
--- a/app-text/yodl/yodl-4.02.02.ebuild
+++ b/app-text/yodl/yodl-4.02.02-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -14,7 +14,13 @@ SLOT="0"
 KEYWORDS="~amd64 ~x86"
 IUSE="doc"
 
-DEPEND=">=dev-util/icmake-8.00.00"
+BDEPEND="
+	>=dev-util/icmake-8.00.00
+	doc? (
+		dev-texlive/texlive-latexextra
+		dev-texlive/texlive-plaingeneric
+	)
+"
 
 S=${WORKDIR}/${P}/${PN}
 
@@ -42,6 +48,9 @@ src_prepare() {
 		-e "s/ranlib/$(tc-getRANLIB)/" \
 		-i icmake/stdcompile || die
 
+	sed -e '/strip/s|"-s"|""|g' \
+		-i icmake/program || die
+
 	# required for std::filesystem usage
 	append-cxxflags -std=c++17
 
@@ -49,10 +58,10 @@ src_prepare() {
 }
 
 src_compile() {
-	./build programs || die
-	./build macros || die
-	./build man || die
-	use doc && { ./build manual || die ; }
+	local target
+	for target in  programs macros man $(usex doc manual ''); do
+		./build ${target} || die "${target} failed"
+	done
 }
 
 src_install() {


             reply	other threads:[~2020-06-03  9:10 UTC|newest]

Thread overview: 16+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-06-03  9:10 Jeroen Roovers [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-05-17  5:34 [gentoo-commits] repo/gentoo:master commit in: app-text/yodl/ Sam James
2021-03-16 19:23 Sam James
2021-01-07  3:07 Sam James
2019-12-27 20:15 Tim Harder
2018-06-30 17:34 Tim Harder
2018-04-10 21:23 Tim Harder
2018-04-08 23:00 Tim Harder
2017-10-18  7:21 Tim Harder
2017-08-04  0:43 Tim Harder
2017-02-02 14:11 Tim Harder
2016-11-25 20:39 Tim Harder
2016-07-26 14:42 Tim Harder
2016-07-26  1:04 Tim Harder
2016-07-26  1:04 Tim Harder
2015-09-17  3:09 Tim Harder

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1591175428.41a1bf2ca3c32fdc4f164b35327ff72aca9992a5.jer@gentoo \
    --to=jer@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox